Summary:	Webster's Revised Unabridged Dictionary (1913) for dict and dictd
Name:		dict-web1913
Version:	1.4
Release:	2
Copyright:	GPL
Group:		Applications/Dictionary
URL:		http://www.dict.org/
Vendor:		www.dict.org
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.gz
Source1:	ftp://ftp.dict.org/pub/dict/web1913-0.46-a.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Prefix:		%{_prefix}
Packager:	Chris Ausbrooks <weed@bucket.pp.ualr.edu>
AutoReqProv:	0
PreReq:		dictd >= 1.5.0
BuildRequires:	%{prefix}/bin/dictzip
BuildArch:	noarch

%description 
The files contained herein include a working database and index of
Webster's Revised Unabridged Dictionary (G & C. Merriam Co., 1913,
edited by Noah Porter) for the DICT server.

%prep
%setup -q -n %{name}-%{version}
%setup -q -T -D -a 1 -n %{name}-%{version}
cd $RPM_BUILD_DIR/%{name}-%{version}
mv web1913-0.46-a web1913

%build
./configure --prefix=%{prefix} --datadir=%{prefix}/share
make
make db

%install
rm -rf %{buildroot}
make prefix=%{buildroot}/%{prefix} \
	datadir=%{buildroot}/%{prefix}/share \
	install-web1913

%clean
rm -rf %{buildroot}

%post
echo -n "Configuring dicts: "
for i in web1913 ; do
	echo -n "$i "
	echo 'database '$i' {	data "%{prefix}/share/dict/'$i'.dict.dz"' \
		>> /etc/dictd.conf
	echo '			index "%{prefix}/share/dict/'$i'.index" }' \
		>> /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%preun
echo -n "Unconfiguring dicts: "
for i in web1913 ; do
	echo -n "$i "
	grep -v %{prefix}/share/dict/$i.[id][ni][dc][et] /etc/dictd.conf \
		> dictd.conf.tmp
	mv -f dictd.conf.tmp /etc/dictd.conf
done
echo
/etc/rc.d/init.d/dictd restart

%files 
%defattr(-, root, root)
%doc COPYING ChangeLog README
%doc web1913/PACKAGE web1913/README web1913/diff-0.46 web1913/pronsym.gif
%doc web1913/pronunc.web web1913/readme.cvt web1913/symbols.gif
%doc web1913/tagset.web web1913/tagsubst.art web1913/webfont.asc
%doc web1913/wxxvii.gif
%{prefix}/share/dict/*

%changelog
* Sat Jan 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- made relocatable
- cleaned up spec
- moved data dir
- made noarch
- added preun and post
- got rid of makefile patch
- added web1913 documentation (maybe make it a little more legal to
- 	distribute binary rpms.  better safe than sorry)
- note: package would not build with 2.3 headers in /usr/src/linux.
- 	worked fine with 2.2.13
